clang-tools 10.0.0

Namespaces | Functions
SyncAPI.cpp File Reference
`#include "SyncAPI.h"`
`#include "index/Index.h"`
Include dependency graph for SyncAPI.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
void | clang::clangd::runAddDocument (ClangdServer &Server, PathRef File, llvm::StringRef Contents, WantDiagnostics WantDiags)
llvm::Expected< CodeCompleteResult > | clang::clangd::runCodeComplete (ClangdServer &Server, PathRef File, Position Pos, clangd::CodeCompleteOptions Opts)
llvm::Expected< SignatureHelp > | clang::clangd::runSignatureHelp (ClangdServer &Server, PathRef File, Position Pos)
llvm::Expected< std::vector< LocatedSymbol > > | clang::clangd::runLocateSymbolAt (ClangdServer &Server, PathRef File, Position Pos)
llvm::Expected< std::vector< DocumentHighlight > > | clang::clangd::runFindDocumentHighlights (ClangdServer &Server, PathRef File, Position Pos)
llvm::Expected< FileEdits > | clang::clangd::runRename (ClangdServer &Server, PathRef File, Position Pos, llvm::StringRef NewName)
std::string | clang::clangd::runDumpAST (ClangdServer &Server, PathRef File)
llvm::Expected< std::vector< SymbolInformation > > | clang::clangd::runWorkspaceSymbols (ClangdServer &Server, llvm::StringRef Query, int Limit)
llvm::Expected< std::vector< DocumentSymbol > > | clang::clangd::runDocumentSymbols (ClangdServer &Server, PathRef File)
SymbolSlab | clang::clangd::runFuzzyFind (const SymbolIndex &Index, llvm::StringRef Query)
SymbolSlab | clang::clangd::runFuzzyFind (const SymbolIndex &Index, const FuzzyFindRequest &Req)
RefSlab | clang::clangd::getRefs (const SymbolIndex &Index, SymbolID ID)
llvm::Expected< std::vector< Range > > | clang::clangd::runSemanticRanges (ClangdServer &Server, PathRef File, Position Pos)
llvm::Expected< llvm::Optional< clangd::Path > > | clang::clangd::runSwitchHeaderSource (ClangdServer &Server, PathRef File)